#!/bin/sh

set -e

case "$1" in
    purge|remove)
        if [ "$(readlink /etc/X11/app-defaults/XScreenSaver)" = "/usr/share/kali-screensaver/XScreenSaver" ]; then
            cd /etc/X11/app-defaults/
            if [ -e XScreenSaver-nogl ]; then
                ln -sf XScreenSaver-nogl XScreenSaver
            else
                rm -f XScreenSaver
            fi
        fi
    ;;
esac

#DEBHELPER#
